std::ranges::elements_view::iterator::iterator(3)

NAME
std::ranges::elements_view::iterator::iterator - std::ranges::elements_view::iterator::iterator

Synopsis
   /*iterator*/() requires (since
   std::default_initializable<ranges::iterator_t<Base>> (1) C++20)
       = default;
   constexpr explicit /*iterator*/( ranges::iterator_t<Base> current ); (2) (since
                        C++20)
   constexpr /*iterator*/( /*iterator*/<!Const> i ) requires Const && (since
       std::convertible_to<ranges::iterator_t<V>, (3) C++20)
   ranges::iterator_t<Base>>;
   Construct an iterator.
   1) Value-initializes the underlying iterator current_ via its default member
   initializer (= ranges::iterator_t<Base>()).
   2) Initializes the underlying iterator current_ with std::move(current).
   3) Conversion from /*iterator*/<false> to /*iterator*/<true>. Initializes the
   underlying iterator current_ with std::move(i.current).

Parameters
   current - an iterator into (possibly const-qualified) V
   i - an /*iterator*/<false>

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example